Bug 160172 - [NEW PORTS] japanese/wordpress: add ja-wordpress 3.2.1
Summary: [NEW PORTS] japanese/wordpress: add ja-wordpress 3.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: TAKATSU Tomonari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-25 08:40 UTC by takefu
Modified: 2011-10-16 06:30 UTC (History)
0 users

See Also:


Attachments
ja-wordpress-3.2.1.shar (3.22 KB, text/plain)
2011-08-25 08:40 UTC, takefu
no flags Details
wordpress.patch (1.45 KB, patch)
2011-09-21 11:51 UTC, TAKATSU Tomonari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2011-08-25 08:40:09 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2011-08-25 08:40:24 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 TAKATSU Tomonari freebsd_committer 2011-09-19 14:30:59 UTC
Hi,

As far as I read part of Makefile header and MAINTAINER address in
your shar file,
they are not written by you as a new port.
Please reconfirm and rewrite them to refer to german/wordpress and
other ports derived
from www/wordpress.

Thanks,

-- 
TAKATSU Tomonari
Comment 3 TAKATSU Tomonari freebsd_committer 2011-09-21 11:19:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tota

I'll take it.
Comment 4 TAKATSU Tomonari freebsd_committer 2011-09-21 11:51:25 UTC
I have a patch to your modified shar file which was send to me as
private e-mail.
This patch substitutes WWWDIR to its value.
http://www.freebsd.org/doc/en/books/porters-handbook/using-sub-files.html

By the way, we forget to set CONFLICTS among www/wordpress, german/wordpress,
chinese/wordpress-zh_CN, chinese/wordpress-zh_TW and
japanese/wordpress, don't we?
Or to avoid conflicts, we can set different value to WWWDIR each other such as
www/tdiary and japanese/tdiary.

Please reconsider and send-pr to solve above the conflicts, if you can.

Thanks in advance,

-- 
TAKATSU Tomonari
Comment 5 takefu 2011-09-22 11:05:06 UTC
$B$?$1$U!wBg:eK-Cf$G$9!#(B

I do not have to consider.
Because I want you to reference past the PR.
PR #155744


TAKATSU Tomonari $B$5$s$O=q$-$^$7$?(B (2011/09/21 19:51):
> I have a patch to your modified shar file which was send to me as
> private e-mail.
> This patch substitutes WWWDIR to its value.
> http://www.freebsd.org/doc/en/books/porters-handbook/using-sub-files.html
> 
> By the way, we forget to set CONFLICTS among www/wordpress, german/wordpress,
> chinese/wordpress-zh_CN, chinese/wordpress-zh_TW and
> japanese/wordpress, don't we?
> Or to avoid conflicts, we can set different value to WWWDIR each other such as
> www/tdiary and japanese/tdiary.
> 
> Please reconsider and send-pr to solve above the conflicts, if you can.
> 
> Thanks in advance,
> 


--
Comment 6 TAKATSU Tomonari freebsd_committer 2011-09-22 11:48:17 UTC
2011/9/22 Takefu <takefu@airport.fm>:
(snip)
>
> I do not have to consider.
> Because I want you to reference past the PR.
> PR #155744

I got it.

I think that you misread miwi@'s comment.
He meant that japanese/wordpress could not become a slave port of
www/wordpress.

The conflicts problem is different from language slave ports PR.

-- 
TAKATSU Tomonari
Comment 7 TAKATSU Tomonari freebsd_committer 2011-10-05 10:15:07 UTC
State Changed
From-To: open->feedback

Awaiting result of ports/160907
Comment 8 dfilter service freebsd_committer 2011-10-16 06:21:15 UTC
tota        2011-10-16 05:21:00 UTC

  FreeBSD ports repository

  Modified files:
    german/wordpress     Makefile 
    www/wordpress        Makefile 
  Log:
  - Register CONFLICTS_INSTALL between www/wordpress and german/wordpress [1]
  - Add CONFLICTS_INSTALL with upcoming japanese/wordpress [2]
  
  PR:             ports/160907 [1], ports/160172 [2]
  Submitted by:   tota (myself) [1]
  Approved by:    Yuan-Chung Hsiao (maintainer), miwi@ (timeout > 2 weeks) [1]
  
  Revision  Changes    Path
  1.43      +2 -0      ports/german/wordpress/Makefile
  1.73      +2 -0      ports/www/wordpress/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2011-10-16 06:24:24 UTC
tota        2011-10-16 05:24:11 UTC

  FreeBSD ports repository

  Modified files:
    japanese             Makefile 
  Added files:
    japanese/wordpress   Makefile distinfo pkg-descr 
    japanese/wordpress/files pkg-message.in 
  Log:
  - Add a new port: japanese/wordpress
  
    WordPress is a state-of-the-art semantic personal publishing platform
    with a focus on aesthetics, web standards, and usability.
  
    More simply, Wordpress is what you use when you want to work
    with your blogging software, not fight it.
  
    WWW:  http://ja.wordpress.org/
  
  PR:             ports/160172
  Submitted by:   Takefu <takefu_AT_airport_DOT_fm>
  
  Revision  Changes    Path
  1.782     +1 -0      ports/japanese/Makefile
  1.1       +55 -0     ports/japanese/wordpress/Makefile (new)
  1.1       +2 -0      ports/japanese/wordpress/distinfo (new)
  1.1       +6 -0      ports/japanese/wordpress/files/pkg-message.in (new)
  1.1       +7 -0      ports/japanese/wordpress/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 TAKATSU Tomonari freebsd_committer 2011-10-16 06:25:51 UTC
State Changed
From-To: feedback->closed

Committd. Thanks!